<template>
  <doc-content-with-toc :toc-deepness="2">
    <h1>Margins</h1>

    <p>
      All margins helpers starts with a <code>-m</code>, followed by other characters :
    </p>

    <template v-for="(variants, name) in margins" :key="name">
      <section class="-mtl">
        <h2>{{ name }}</h2>

        <template v-for="v in variants" :key="v">
          <h3><code>.{{ v }}</code></h3>

          <div class="-doc-outline--hashed-bg">
            <div :class="`-doc-outline ${v} -bg-default`">{{ longSampleText }}</div>
          </div>
        </template>
      </section>
    </template>
  </doc-content-with-toc>
</template>

<script>
import { sizeVariant } from '../../utils/functions.js'
import { longSampleText } from '../../utils/constants.js'
import { DocContentWithToc } from '../../../../documentation_system/components/index.js'

const margins = {
  'Vertical margins (-mv*)': sizeVariant('-mv'),
  'Horizontal margins (-mh*)': sizeVariant('-mh'),
  'Bottom margin (-mb*)': sizeVariant('-mb'),
  'Top margin (-mt*)': sizeVariant('-mt'),
  'Left margin (-ml*)': sizeVariant('-ml'),
  'Right margin (-mr*)': sizeVariant('-mr'),
  'All sides margin (-m*)': sizeVariant('-m'),
}
export default {
  name: 'MarginsView',
  components: { DocContentWithToc },
  data () {
    return {
      margins,
      longSampleText,
    }
  },
  created () {
    this.$setTitle('Margins')
  },
}
</script>
